Skip to main content
GET
/
v1
/
recipients
/
user
/
{userId}
Get Recipients by User ID
curl --request GET \
  --url https://api.chessa.ai/v1/recipients/user/{userId}
{
  "recipients": [
    {
      "accountName": "John Doe",
      "accountNumber": "0123456789",
      "bankCode": "058",
      "bankName": "Guaranty Trust Bank",
      "country": "NG",
      "createdAt": "2025-03-17T15:42:33.789Z",
      "currency": "NGN",
      "id": "rec_abcdef123456789",
      "type": "bank_account",
      "updatedAt": "2025-03-17T15:42:33.789Z"
    },
    {
      "accountName": "Jane Smith",
      "accountNumber": "233544444444",
      "code": "gh_mtn",
      "country": "GH",
      "createdAt": "2025-03-16T10:22:15.456Z",
      "currency": "GHS",
      "id": "rec_ghijkl987654321",
      "type": "mobile_money",
      "updatedAt": "2025-03-16T10:22:15.456Z"
    }
  ]
}

Headers

x-client-id
string
Example:

""

x-client-secret
string
Example:

""

Path Parameters

userId
string
required

Response

Success Response

recipients
object[]
Example:
[
{
"accountName": "John Doe",
"accountNumber": "0123456789",
"bankCode": "058",
"bankName": "Guaranty Trust Bank",
"country": "NG",
"createdAt": "2025-03-17T15:42:33.789Z",
"currency": "NGN",
"id": "rec_abcdef123456789",
"type": "bank_account",
"updatedAt": "2025-03-17T15:42:33.789Z"
},
{
"accountName": "Jane Smith",
"accountNumber": "233544444444",
"code": "gh_mtn",
"country": "GH",
"createdAt": "2025-03-16T10:22:15.456Z",
"currency": "GHS",
"id": "rec_ghijkl987654321",
"type": "mobile_money",
"updatedAt": "2025-03-16T10:22:15.456Z"
}
]